GDCM 3.2.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkImageRGBToYBR Class Reference

`#include <vtkImageRGBToYBR.h>`

Inheritance diagram for vtkImageRGBToYBR:
[legend]
Collaboration diagram for vtkImageRGBToYBR:
[legend]

## Public Member Functions
void | PrintSelf (ostream &os, vtkIndent indent)
| vtkTypeMacro (vtkImageRGBToYBR, vtkThreadedImageAlgorithm)

## Static Public Member Functions
static vtkImageRGBToYBR * | New ()

## Protected Member Functions
| vtkImageRGBToYBR ()
| ~vtkImageRGBToYBR ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)

## Constructor & Destructor Documentation

## ◆ vtkImageRGBToYBR()

vtkImageRGBToYBR::vtkImageRGBToYBR | ( |  | ) |
| protected

Referenced by New(), ThreadedExecute(), and vtkTypeMacro().

## ◆ ~vtkImageRGBToYBR()

vtkImageRGBToYBR::~vtkImageRGBToYBR | ( |  | ) |
| inline protected

## Member Function Documentation

## ◆ New()

vtkImageRGBToYBR * vtkImageRGBToYBR::New | ( |  | ) |
| static

References vtkImageRGBToYBR().

## ◆ PrintSelf()

void vtkImageRGBToYBR::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )

## ◆ ThreadedExecute()

void vtkImageRGBToYBR::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id )
| protected

References vtkImageRGBToYBR().

## ◆ vtkTypeMacro()

vtkImageRGBToYBR::vtkTypeMacro | ( | vtkImageRGBToYBR | ,
|  | vtkThreadedImageAlgorithm | )

References vtkImageRGBToYBR().

The documentation for this class was generated from the following file:

- vtkImageRGBToYBR.h